/*
    GuiMame
    Copyright (C) 2001 John David Ratliff [guimame@technoplaza.net]

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// GuiMameDlg.h : header file
//

#if !defined(AFX_GUIMAMEDLG_H__873CDE54_81FD_4EED_BEA1_2BBF3737D093__INCLUDED_)
#define AFX_GUIMAMEDLG_H__873CDE54_81FD_4EED_BEA1_2BBF3737D093__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PathDialog.h"
#include "RunPipe.h"

typedef struct {
	CString mamePath, romPath, options;
} GuiMameInfo;

/////////////////////////////////////////////////////////////////////////////
// CGuiMameDlg dialog

class CGuiMameDlg : public CDialog
{
// Construction
public:
	CGuiMameDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CGuiMameDlg)
	enum { IDD = IDD_GUIMAME_DIALOG };
	CEdit	m_MameOutput;
	CListBox	m_RomList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGuiMameDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CGuiMameDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFileExit();
	afx_msg void OnHelpAbout();
	afx_msg void OnDblclkList1();
	afx_msg void OnFileSetupMamePaths();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void loadRegistryKeys();
	void saveRegistryKeys();
	char programPath[MAX_PATH];
	GuiMameInfo gameInfo;
	void loadRomList();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GUIMAMEDLG_H__873CDE54_81FD_4EED_BEA1_2BBF3737D093__INCLUDED_)
